Subject: [Ietf-calsify] Section 4.6.2 To-do Component: todoprop

From: bernard.desruisseaux at oracle.com (Bernard Desruisseaux)
Date: Mon Aug 21 21:08:48 2006

In section 4.6.2 To-do Component of RFC 2445...

The rule todoprop specifies that DTSTAMP, and UID are
OPTIONAL which is in contradiction with section 4.8.7.2
Date/Time Stamp, and section 4.8.4.7 Unique Identifier
which all specify that those two properties are REQUIRED
in VTODO components.

I propose to change the beginning of "todoprop" as follows:

 >  todoprop  = *(
 >
 >            ; the following are both REQUIRED,
 >            ; but MUST NOT occur more than once
 >
 >            dtstamp / uid /
 >
 >            ; the following are optional,
 >            ; but MUST NOT occur more than once
 >
 >            ...

Cheers,
Bernard

---

From: cyrus at daboo.name (Cyrus Daboo)
Date: Tue Aug 22 06:56:10 2006

Hi Bernard,

> I propose to change the beginning of "todoprop" as follows:

+1 with similar changes as per VEVENT.

-- 
Cyrus Daboo